﻿// <copyright file="IChannelWorkerThread.cs" company="David Lawler">
//     David Lawler, Copyright (c) 2010 David Lawler. All rights reserved.
// </copyright>
// <summary> IChannelWorkerThread
// </summary>
// <author>  David Lawler, translated from Christian Plattner's ganymed 2.51 beta 1
// </author>
// <version> 0.5.0, 12/17/2010
// </version>

using System;

namespace Eunomia.SSH2.Channel
{
    /// <summary>
    /// Interface used for various threads that implement a StopWorking method.
    /// </summary>
    public interface IChannelWorkerThread
    {
        /// <summary>
        /// Method that when overridden will shut down the thread.
        /// </summary>
        void StopWorking();
    }
}
