﻿// <copyright file="FTPPacket.cs" company="David Lawler">
//     David Lawler, Copyright (c) 2010 David Lawler. All rights reserved.
// </copyright>
// <summary> FTPPacket
// </summary>
// <author>  David Lawler, translated from Christian Plattner's ganymed 2.51 beta 1
// </author>
// <version> 0.5.0, 12/17/2010
// </version>

using System;
using System.Diagnostics.CodeAnalysis;

namespace Eunomia.SSH2.SFTP
{
    #pragma warning disable 1591
    /// <summary>
    /// Structure with the ftp packet types in it.
    /// </summary>
    [SuppressMessage("Microsoft.Performance", "CA1815:OverrideEqualsAndOperatorEqualsOnValueTypes",
                    Justification = "We will never compare or sort instances of this struct.")]
    public struct FTPPacket
    {
        public const int SSHFileTransferInitialize = 1;
        public const int SSHFileTransferVersion = 2;
        public const int SSHFileTransferOpen = 3;
        public const int SSHFileTransferClose = 4;
        public const int SSHFileTransferRead = 5;
        public const int SSHFileTransferWrite = 6;
        public const int SSHFileTransferLstat = 7;
        public const int SSHFileTransferFstat = 8;
        public const int SSHFileTransferSetstat = 9;
        public const int SSHFileTransferFsetstat = 10;
        public const int SSHFileTransferOpenDirectory = 11;
        public const int SSHFileTransferReadDirectory = 12;
        public const int SSHFileTransferRemove = 13;
        public const int SSHFileTransferMkdir = 14;
        public const int SSHFileTransferRmdir = 15;
        public const int SSHFileTransferRealPath = 16;
        public const int SSHFileTransferStat = 17;
        public const int SSHFileTransferRename = 18;
        public const int SSHFileTransferReadLink = 19;
        public const int SSHFileTransferSymbolicLink = 20;
        
        public const int SSHFileTransferStatus = 101;
        public const int SSHFileTransferHandle = 102;
        public const int SSHFileTransferData = 103;
        public const int SSHFileTransferName = 104;
        public const int SSHFileTransferAttributes = 105;
        
        public const int SSHFileTransferExtended = 200;
        public const int SSHFileTransferExtendedReply = 201;
    }
    #pragma warning restore 1591
}
