﻿// <copyright file="MessageHandler.cs" company="David Lawler">
//     David Lawler, Copyright (c) 2010 David Lawler. All rights reserved.
// </copyright>
// <summary> MessageHandler
// </summary>
// <author>  David Lawler, translated from Christian Plattner's ganymed 2.51 beta 1
// </author>
// <version> 0.5.0, 12/17/2010
// </version>

using System;

namespace Eunomia.SSH2.Transport
{
    /// <summary>
    /// Abstract class that other classes that handle messages inherit from.
    /// </summary>
    public abstract class MessageHandler
    {
        /// <summary>
        /// When overriden, this method will receive and handle messages.
        /// </summary>
        /// <param name="msg">The message/packet to process.</param>
        /// <param name="msgLength">The length of the message/packet.</param>
        public virtual void HandleMessage(byte[] msg, int msgLength)
        {
            throw new NotImplementedException("You must override the HandleMessage method when you inherit from this class");
        }
    }
}
